Bug 548860 - r8169 stops working while switching desktops
Summary: r8169 stops working while switching desktops
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: i686
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-18 20:56 UTC by Pavel V. Stepanov
Modified: 2010-10-19 10:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-19 10:41:30 UTC


Attachments (Terms of Use)
Trace log. (2.80 KB, text/plain)
2009-12-18 20:58 UTC, Pavel V. Stepanov
no flags Details
/var/log/messages segment trying to use r9169 gigabit ethernet (6.07 KB, text/plain)
2010-09-17 14:32 UTC, Max Kessler
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 538920 None None None Never

Description Pavel V. Stepanov 2009-12-18 20:56:53 UTC
Hello all!

I have the same problem. Firstly I thought that it was my fault and had to try
checking software and configs, then I change my mind. The problem description
and methods to reproduce are:


Description:

Switching between desktops while downloading something hangs machine completely
(in my case). If try to download file and DO NOT switch to other desktop, it
will complete successfully (mostly) but, can hang up also.

Reproduce:

1. Start any ftp/torrent/samba manager
2. Start any download
3. Switch several times between desktops

In 99% it will hang up.

The driver which my system using is r8169.

---

Addition:

I've tried driver from Realtek Website (r8168). It has normally compiled and
installed. With this driver situation is mostly the same, except the system
remains to run. The network adapter goes down. 'ifdown eth0 && ifup eth0'
recovers it but in next minutes, during download and desktop switching it goes
down again.   

----

I think this is not problem of the driver, so I include only r8169 dumps.

If any additional information will need, I will provide. Let me know.

-----

Hardware is ASUS Notebook W2J series.

----------------------

[master@notebook ~]$ sudo lspci |grep Ether
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI
Express Gigabit Ethernet controller (rev 01)
[master@notebook ~]$


[master@notebook ~]$ uname -r
2.6.31.5-127.fc12.i686
[master@notebook ~]$


[master@notebook ~]$ cat /var/log/r8169.log
Nov 29 02:35:16 notebook kernel: ------------[ cut here ]------------
Nov 29 02:35:16 notebook kernel: WARNING: at net/sched/sch_generic.c:246
dev_watchdog+0xc6/0x12d() (Not tainted)
Nov 29 02:35:16 notebook kernel: Hardware name: W2J
Nov 29 02:35:16 notebook kernel: NETDEV WATCHDOG: eth0 (r8169): transmit queue
0 timed out
Nov 29 02:35:16 notebook kernel: Modules linked in: nls_utf8 cifs fuse rfcomm
sco bridge stp llc bnep l2cap autofs4 sunrpc ipv6 cpufreq_ondemand acpi_cpufreq
dm_multipath uinput iTCO_wdt iTCO_vendor_support btusb arc4 saa7134_alsa ecb
mt352 saa7134_dvb videobuf_dvb dvb_core snd_hda_codec_si3054 tuner_xc2028
snd_hda_codec_realtek snd_hda_intel tuner snd_hda_codec iwl3945 snd_hwdep
snd_seq saa7134 ir_common iwlcore snd_seq_device mac80211 v4l2_common sdhci_pci
snd_pcm videodev r8169 mii sdhci v4l1_compat snd_timer mmc_core videobuf_dma_sg
ricoh_mmc cfg80211 snd videobuf_core firewire_ohci tveeprom firewire_core
soundcore crc_itu_t snd_page_alloc bluetooth joydev rfkill asus_laptop
serio_raw tpm_infineon video output usb_storage radeon ttm drm_kms_helper drm
i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Nov 29 02:35:16 notebook kernel: Pid: 0, comm: swapper Not tainted
2.6.31.5-127.fc12.i686 #1
Nov 29 02:35:16 notebook kernel: Call Trace:
Nov 29 02:35:16 notebook kernel: [<c0436d93>] warn_slowpath_common+0x70/0x87
Nov 29 02:35:16 notebook kernel: [<c06ee200>] ? dev_watchdog+0xc6/0x12d
Nov 29 02:35:16 notebook kernel: [<c0436de8>] warn_slowpath_fmt+0x29/0x2c
Nov 29 02:35:16 notebook kernel: [<c06ee200>] dev_watchdog+0xc6/0x12d
Nov 29 02:35:16 notebook kernel: [<c0450405>] ? getnstimeofday+0x57/0xe0
Nov 29 02:35:16 notebook kernel: [<c0416a0a>] ? apic_write+0x14/0x16
Nov 29 02:35:16 notebook kernel: [<c0416c20>] ? lapic_next_event+0x14/0x18
Nov 29 02:35:16 notebook kernel: [<c045338e>] ?
clockevents_program_event+0xbf/0xcd
Nov 29 02:35:16 notebook kernel: [<c06ee13a>] ? dev_watchdog+0x0/0x12d
Nov 29 02:35:16 notebook kernel: [<c043fd21>] run_timer_softirq+0x14e/0x1af
Nov 29 02:35:16 notebook kernel: [<c043c042>] __do_softirq+0xb1/0x157
Nov 29 02:35:16 notebook kernel: [<c043c11e>] do_softirq+0x36/0x41
Nov 29 02:35:16 notebook kernel: [<c043c210>] irq_exit+0x2e/0x61
Nov 29 02:35:16 notebook kernel: [<c04173ab>]
smp_apic_timer_interrupt+0x6d/0x7b
Nov 29 02:35:16 notebook kernel: [<c0403f95>] apic_timer_interrupt+0x31/0x38
Nov 29 02:35:16 notebook kernel: [<c044007b>] ? mod_timer_pending+0xc/0x16
Nov 29 02:35:16 notebook kernel: [<c05f20c9>] ?
acpi_idle_enter_simple+0x102/0x135
Nov 29 02:35:16 notebook kernel: [<c06bba42>] cpuidle_idle_call+0x65/0x9b
Nov 29 02:35:16 notebook kernel: [<c04026ff>] cpu_idle+0x96/0xaf
Nov 29 02:35:16 notebook kernel: [<c0761353>] start_secondary+0x1f5/0x233
Nov 29 02:35:16 notebook kernel: ---[ end trace ee3762c52d6f6676 ]---
[master@notebook ~]$


[master@notebook ~]$ sudo ethtool eth0
Settings for eth0:
        Supported ports: [ TP MII ]
        Supported link modes:   10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Half 1000baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Half 1000baseT/Full
        Advertised auto-negotiation: Yes
        Speed: 10Mb/s
        Duplex: Half
        Port: MII
        PHYAD: 0
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: pumbg
        Wake-on: pg
        Current message level: 0x00000033 (51)
        Link detected: no
[master@notebook ~]$





[master@notebook ~]$ lsmod | grep r8169
r8169                  28252  0
mii                     4120  1 r8169
[master@notebook ~]$

-------------------------------
P.S. In Fedora 11 all works properly. After upgrade to F12, it has to broke.

Comment 1 Pavel V. Stepanov 2009-12-18 20:58:06 UTC
Created attachment 379293 [details]
Trace log.

Trace log.

Comment 2 Max Kessler 2010-09-17 14:32:46 UTC
Created attachment 448024 [details]
/var/log/messages segment trying to use r9169 gigabit ethernet

This is under Fedora 13.  I'm currently downloading the latest kernel, though having to reboot is a major PITA.

Comment 3 Max Kessler 2010-09-17 14:48:50 UTC
BTW, this doesn't seem to have anything to do with switching desktops.  I have switched workspaces under XFCE a number of times and switched to the console and back, but I can't claim to correlate these to the driver failing.

BTW: This is the gigabit card I use for system backups and I really don't want to go back to spending 36 hours pushing a 120 GB backup over USB2.

Comment 4 Stanislaw Gruszka 2010-09-24 22:28:51 UTC
Does it help when boot with pcie_aspm=off kernel parameter ?

Comment 5 Max Kessler 2010-09-25 12:10:24 UTC
I don't have a PCIe bus.  I'm using an onboard AGP video controller.  The NIC is an unbranded card.

from lspci:
00:0b.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet (rev 10)
01:00.0 VGA compatible controller: S3 Inc. VT8375 [ProSavage8 KM266/KL266]

One more thing I forgot to mention.  I'm running F13.

Comment 6 Stanislaw Gruszka 2010-10-01 15:32:31 UTC
Max, based on your comment 2, your problem is with memory allocation. The fix is already available, there are test kernels in bug 629158, try one of it.

Regarding Pavel report, I think this is ASPM problem. Pavel, could we get answer for question from comment 4?

Comment 7 Stanislaw Gruszka 2010-10-19 10:41:30 UTC
Max your problem should be fixed now in current kernel just submitted:
https://bugzilla.redhat.com/show_bug.cgi?id=629158#c43

Pavel, since no info from you I'm closing this bug as insufficient data.


Note You need to log in before you can comment on or make changes to this bug.